cdac.medinfo.sdk.hl7282.utils

## Interface ISegmentItem

- All Known Implementing Classes:
    SegmentItem

      public interface ISegmentItem

  This interface needs to be implemented by all classes which implements the necessary functionality for the SegmentItem.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMap` | `getGroupItemMessageMap()` Retrieves list of Group items
    `ISegmentKey` | `getName()` Retrieves Name of segment
    `EnumSegmentCardinality` | `getSegmentCardinality()` Retrieves Segment Cardinality
    `boolean` | `isGroup()` Defines whether it is a segment or a group
    `void` | `setGroupItems(IMap objGroupItemMessageMap)` Sets list of Group items
    `void` | `setIsGroup(boolean isGroup)` Specifies item as group or segment
    `void` | `setName(ISegmentKey enumName)` Sets Name of segment
    `void` | `setSegmentCardinality(EnumSegmentCardinality enumSegmentCardinality)` Sets Segment Cardinality

- - ### Method Detail

    - #### getName

          ISegmentKey getName()

      Retrieves Name of segment
      Returns:
        ISegmentKey Specified enumeration showing segment name

    - #### setName

          void setName(ISegmentKey enumName)

      Sets Name of segment
      Parameters:
        `enumName` - enumeration showing segment name

    - #### getSegmentCardinality

          EnumSegmentCardinality getSegmentCardinality()

      Retrieves Segment Cardinality
      Returns:
        EnumSegmentCardinality - enumeration showing SegmentCardinality

    - #### setSegmentCardinality

          void setSegmentCardinality(EnumSegmentCardinality enumSegmentCardinality)

      Sets Segment Cardinality
      Parameters:
        `enumSegmentCardinality` - enumeration showing SegmentCardinality

    - #### getGroupItemMessageMap

          IMap getGroupItemMessageMap()

      Retrieves list of Group items
      Returns:
        IPairedCollection - collection of group items

    - #### setGroupItems

          void setGroupItems(IMap objGroupItemMessageMap)

      Sets list of Group items
      Parameters:
        `objGroupItemMessageMap` - collection of group items.

    - #### isGroup

          boolean isGroup()

      Defines whether it is a segment or a group
      Returns:
        boolean shows status as success or failure

    - #### setIsGroup

          void setIsGroup(boolean isGroup)

      Specifies item as group or segment
      Parameters:
        `isGroup` - shows status as success or failure